org.codehaus.groovy.binding

## Class SwingTimerTriggerBinding

- java.lang.Object
- - org.codehaus.groovy.binding.SwingTimerTriggerBinding

- All Implemented Interfaces:
    TriggerBinding

      public class SwingTimerTriggerBinding
      extends java.lang.Object
      implements TriggerBinding

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingTimerTriggerBinding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingTimerTriggerBinding

          public SwingTimerTriggerBinding()

  - ### Method Detail

    - #### createBinding

          public FullBinding createBinding(SourceBinding source,
                                  TargetBinding target)

      Specified by:
        `createBinding` in interface `TriggerBinding`